package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.SteperjjRepository;
import com.realnet.basicp1.Entity.Steperjj
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class SteperjjService {
@Autowired
private SteperjjRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Steperjj Savedata(Steperjj data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Steperjj save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Steperjj> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Steperjj> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Steperjj> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Steperjj getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Steperjj update(Steperjj data,Integer id) {
	Steperjj old = Repository.findById(id).get();
old.setNames(data.getNames());



final Steperjj test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
